#ifndef __HAVE_REPLIES_H
#define __HAVE_REPLIES_H

#define RPL_LUSERCLIENT            251
#define RPL_LUSEROP                252
#define RPL_LUSERUNKNOWN           253
#define RPL_LUSERCHANNELS          254
#define RPL_LUSERME                255
#define RPL_UNKNOWN_265            265
#define RPL_UNKNOWN_266            266
#define RPL_AWAY                   301
#define RPL_ISON                   303
#define RPL_WHOISUSER              311
#define RPL_WHOISSERVER            312
#define RPL_WHOISOPERATOR          313
#define RPL_WHOWASUSER             314
#define RPL_WHOISIDLE              317
#define RPL_ENDOFWHOIS             318
#define RPL_WHOISCHANNELS          319
#define RPL_LISTSTART              321
#define RPL_LIST                   322
#define RPL_LISTEND                323
#define RPL_CHANNELMODEIS          324
#define RPL_TOPIC                  332
#define RPL_WHOREPLY               352
#define RPL_ENDOFWHO               315
#define RPL_NAMREPLY               353
#define RPL_ENDOFNAMES             366

/* Message of the Day */
#define RPL_MOTDSTART              375
#define RPL_MOTD                   372
#define RPL_ENDOFMOTD              376
#define ERR_NOMOTD                 422

/* error replies */

#define ERR_NOSUCHNICK             401
#define ERR_NOSUCHSERVER           402
#define ERR_NOSUCHCHANNEL          403
#define ERR_CANNOTSENDTOCHAN       404
#define ERR_TOOMANYCHANNELS        405
#define ERR_WASNOSUCHNICK          406
#define ERR_TOOMANYTARGETS         407
#define ERR_NOORIGIN               409
#define ERR_NOTEXTTOSEND           412

#define ERR_NICKNAMEINUSE          433
#define ERR_NOTREGISTERED          451
#define ERR_CHANNELISFULL          472
#define ERR_INVITEONLYCHAN         473
#define ERR_BANNEDFROMCHAN         474
#define ERR_BADCHANNELKEY          475

#endif /* __HAVE_REPLIES_H */
