#ifndef SQ_HAVE_AI
#define SQ_HAVE_AI

#define VOID 0
#define BEST_INITIAL_VALUE ((board.turn > 0) ? -666 : 666)
#define WIN_VALUE ((board.turn > 0) ? 200 : -200)
#define LEVELS 3
#define WIN_SCORE 150
#define BOARD_SIZE 8
#define FOR_EACH_PLACE \
	for (check.x = 0; check.x < BOARD_SIZE; check.x++) \
		for (check.y = 0; check.y < BOARD_SIZE; check.y++) \
			if (board.stone[check.x][check.y] == VOID)

typedef struct {
	int points[2]; // 0 = blue   1 = red
	int turn;
	int win; // 0 = not yet   1 = blue   -1 = red
	int stone[BOARD_SIZE][BOARD_SIZE]; // 0 = void   1 = blue   -1 = red
} Board;

typedef struct {
  int points[2];
	int turn;
	int win;
	int x,y;
} Backup;

typedef struct {
	int x, y, value;
} Place;

Board board;
int score[BOARD_SIZE];

#endif
