/* Squaroid
 * Copyright (C) 1999,2000 Lukas Schrder
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include "squaroid.h"

GdkColor colors[] =
{
   {0, 0xffff, 0xffff, 0xffff},       /* 0  white */
   {0, 0, 0, 0},                      /* 1  black */
   {0, 0, 0, 0xcccc},                 /* 2  blue */
   {0, 0, 0xcccc, 0},                 /* 3  green */
   {0, 0xcccc, 0, 0},                 /* 4  red */
   {0, 0xbbbb, 0xbbbb, 0},            /* 5  yellow/brown */
   {0, 0xbbbb, 0, 0xbbbb},            /* 6  purple */
   {0, 0xffff, 0xaaaa, 0},            /* 7  orange */
   {0, 0xffff, 0xffff, 0},            /* 8  yellow */
   {0, 0, 0xffff, 0},                 /* 9  green */
   {0, 0, 0xbbbb, 0xbbbb},            /* 10 aqua */
   {0, 0, 0xffff, 0xffff},            /* 11 light aqua */
   {0, 0, 0, 0xffff},                 /* 12 blue */
   {0, 0xffff, 0, 0xffff},            /* 13 pink */
   {0, 0x7777, 0x7777, 0x7777},       /* 14 grey */
   {0, 0x9999, 0x9999, 0x9999},       /* 15 light grey */
/*     { 0, 0xf8f4, 0xffff, 0xbbbb }, *//* 16 light yellow for tooltips */
};

GtkWidget *top_window = 0;                /* toplevel window widget */
GtkWidget *top_notebook = 0;              /* chatroom/games notebook widget */
GtkWidget *top_statusbar = 0;             /* statusbar of toplevel window */
GtkWidget *top_menubar = 0;               /* menubar of toplevel window */

GtkStyle *greenstyle = 0;                 /* green color style for tablabel */
GtkStyle *blackstyle = 0;                 /* black color style for tablabel */
GtkWidget *current_tablabel = 0;          /* currently active tablabel */
#if DEBUG || NET_DEBUG
GtkWidget *chatroom_debuglabel = 0;
#endif

GSList *chatroom_list = 0;            /* list of CHATROOM_MAIN rooms */

struct preferences preferences;       /* the preferences */
